VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Cli::Namespace Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Namespace:

## Classes
class | Identity
class | Info

## Avaliable Methods
public method | get ()
public method | fingerprint ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Namespace` interface provides methods* to get information about command line interface (CLI) namespaces.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::fingerprint | ( |  | ) |

Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for namespaces has been modified on the server.

Return values

  Fingerprint | of all the namespace metadata present on the server. The return type will be String

Code:
click to view
# Number of lines of code in fingerprint: 4
sub fingerprint {
my ($self, %args) = @_;
return $self->invoke(method_name => 'fingerprint', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::get | ( |  | ) |

Retreives information about a namespace including information about children of that namespace.

Parameters

  identity | [REQUIRED] Identifier of the namespace for which to retreive information. . The value must be Com::Vmware::Vapi::Metadata::Cli::Namespace::Identity.

Return values

  Information | about the namespace including information about child of that namespace. The return type will be Com::Vmware::Vapi::Metadata::Cli::Namespace::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if a namespace corresponding to `identity` doesn't exist.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $identity = $args {identity};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::list | ( |  | ) |

Returns the identifiers of all namespaces registered with the infrastructure.

Return values

  Identifiers | of all the namespaces. The return type will be Array of Com::Vmware::Vapi::Metadata::Cli::Namespace::Identity

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Namespace.pm